Notploy
Endpoint reference

Cicd

Resolve a CI target

POST
/cicd/resolve
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

project?string
Length1 <= length <= 200
environment?string
Length1 <= length <= 200
application*string
Length1 <= length <= 200

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/cicd/resolve" \  -H "Content-Type: application/json" \  -d '{    "application": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Deploy a commit

POST
/cicd/deploy
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

project?string
Length1 <= length <= 200
environment?string
Length1 <= length <= 200
application*string
Length1 <= length <= 200
title?string
Lengthlength <= 200
description?string
Lengthlength <= 2000
source*
idempotencyKey?string
Lengthlength <= 300

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/cicd/deploy" \  -H "Content-Type: application/json" \  -d '{    "application": "string",    "source": {      "repository": "string",      "commitSha": "string"    }  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Get a deployment status

GET
/cicd/deployments/{deploymentId}
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Path Parameters

deploymentId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/cicd/deployments/string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Read deployment logs

GET
/cicd/deployments/{deploymentId}/logs
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Path Parameters

deploymentId*string
Length1 <= length

Query Parameters

tail?integer
Default500
Range1 <= value <= 5000

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/cicd/deployments/string/logs"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Cancel a deployment

POST
/cicd/deployments/{deploymentId}/cancel
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Path Parameters

deploymentId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/cicd/deployments/string/cancel"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Redeploy the same commit

POST
/cicd/deployments/{deploymentId}/redeploy
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Path Parameters

deploymentId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/cicd/deployments/string/redeploy"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

List recent deployments

GET
/cicd/deployments
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Query Parameters

limit?integer
Default25
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/cicd/deployments"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}